Subject: Re: [PATCH] e1000 in linux-3.18.0: a potential bug

From: Sergei Shtylyov <[email-masked]>
Date: Sat, 20 Dec 2014 16:27:50 +0300

Hello.

On 12/20/2014 10:50 AM, Jia-Ju Bai wrote:

> I have actually tested e1000 driver on the real hardware(Intel 82540EM PCI
> Gigabit Ethernet Controller), and find a potential bug:
> The target file is drivers/net/ethernet/intel/e1000/e1000_main.c, which is
> used to build e1000.ko.

> (1) In the normal process, netif_napi_add is called in e1000_probe, but
> netif_napi_del is not called in e1000_remove. However, many other ethernet
> card drivers call them in pairs, even in the error handling paths, such as
> r8169 and igb.

> Meanwhile, I also write the patch to fix the bug. I have run the patch on
> the hardware, it can work normally and fix the above bug.

    You didn't sign off on your patch, so it can't be applied.

WBR, Sergei